Subject: Re: IPv4

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Fri, 3 Aug 2007 03:09:36 -0700

I do not accuse people I disagree with of being ignorant or stupid, even when they deserve it.

As you admit there is no effective competition in ip address allocations. 

Attempting to prohibit resale may delay the exhaustion point by discouraging speculation. But it also advances the exhaustion point by discouraging the steps necessary to free up existing use.

ARIN cannot credibly prohibit resale once exhaustion is reached. The only way to effectively discourage speculation is to establish the expectation that speculation will be unprofitable. There are far too many domain name squatters who made fat profits in that trade to expect ARIN to hold the line. 

The best defence at this point is the ambiguity in the situation. Lawsuits that clarify the situation lead to a worse situation regardless of outcome.

Buring heads in the sand or elsewhere is not going to help matters here. 

In chess terms we have a pawn sacrifice. We give up a minor technical issue in an infrastructure that we are attempting to decommission in return for strategic position.

Calling people ignorant or stupid (or unpatriotic) because they refuse to plan on the basis of wishful thinking is not the way to proceed. 

I utterly reject faith based decision making. We have a serious political problem here and we cannot suceed in our aims unless we think politically and strategically.

Sent from my GoodLink Wireless Handheld (www.good.com)

 -----Original Message-----
From: 	Iljitsch van Beijnum [mailto:[email-masked]]
Sent:	Friday, August 03, 2007 02:20 AM Pacific Standard Time
To:	Hallam-Baker, Phillip
Cc:	[email-masked] Discussion
Subject:	Re: IPv4

On 3-aug-2007, at 10:17, Hallam-Baker, Phillip wrote:

> ARIN does not want an address market? So what? I'd like someone to  
> give me a free Porche. Does not mean its going to happen.

So the fact that you're not getting a free car means that we're going  
to have an IP address market?

>> Since they are the ones
>> administering 1.5 billion of the 2.5 billion addresses given
>> out, including the legacy class A space, not much is going to
>> happen without their cooperation.

> Define 'administering'. Does ARIN have the effective legal or  
> technical capability to revoke an address block allocation within a  
> relevant timescale? Does ARIN have the capability to police the  
> market and detect attempts to sell space? Methinks not.

They do to some degree. Whether that's going to be enough is unknown  
at this time. I do know that if ARIN says it shouldn't happen, and  
people try to make it happen anyway, ARIN has a problem and they'll  
have to do something about it. Also, in the end it's all about what  
routing information people accept from others. If ARIN can get a  
reasonable subset of all network operators to reject certain prefixes  
from certain people, the prefixes are useless to those people and the  
act of selling is moot.

>> It will be interesting to see what ARIN does if (for
>> instance) HP tries to sell 30 million addresses. I don't
>> think ARIN can let that happen and I don't think that HP has
>> a good case in court if ARIN subsequently takes the
>> addresses. (If they were going to sell them obviously they
>> didn't need them.)

> HP was allocated much of their space before there was an ARIN.

So? The only problem is that the people who got this space didn't  
have to sign any documents to get it, which makes it harder to do  
things like collect fees. It doesn't automatically mean the address  
space is for them to own until the end of time.

> The only effect that threats from ARIN would have in this situation  
> is to make the situation worse. HP uses the address space  
> internally. Transition to a different address space where they are  
> behind a NAT has real costs for them. They are only going to make  
> the transition if they can recover those costs.

But if they're selling, obviously they don't need the space so this  
becomes a very weak argument. However, this is a reasonable argument  
against ARIN just reclaiming the address space over night. (All the  
more reason that IF reclamation is going to happen, that it start  
happening soon.)

> Preventing the resale of address space might well entail an anti- 
> trust violation.

LOL. Since when do we have competition in this area?

>>> Phase 3: Speculation

>> You forget that the only people who'll have trouble are those
>> that need NEW address space. That's a relatively small
>> percentage of the internet community at any given time.

> Do not use the phrase 'you appear to forget' to introduce dubious  
> claims of fact.

I could accuse you of being ignorant or stupid instead, but that  
would be impolite.

> It suggests that people disagree with you out of ignorance rather  
> than not accepting the claim you make. In this case the claim you  
> make is at best irrelevant.

Hardly. If you're out of oil, cars stop in the street. If you're out  
of IP addresses, the internet will be able to do everything it did  
the day before except accept new users/systems. That's a pretty big  
difference.
_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf